Subject: bug#44106: closed (Re: [bug#44106] alacritty : add terminfo fix)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Oct 2020 16:42:02 +0000

Your bug report

#44106: alacritty : add terminfo fix

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44106: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44106
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#44106] alacritty : add terminfo fix
From: Ludovic Courtès <[email-masked]>
To: Fulbert <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Oct 2020 17:41:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Fulbert <[email-masked]> skribis:

>   When installed on an user extra-profile, `alacritty` does not add to
> $TERMINFO_DIRS. Solved by using the attached patch. I have stolen this
> fix from the guix `rxvt-unicode` package.

[...]

> Subject: [PATCH] Apply terminfo fix (https://bugs.gnu.org/22138) (stolen from
>  rxvt-unicode package)
>
> ---
>  gnu/packages/terminals.scm | 4 ++++
>  1 file changed, 4 insertions(+)
>
> diff --git a/gnu/packages/terminals.scm b/gnu/packages/terminals.scm
> index e596c1b81f..fc30550e3b 100644
> --- a/gnu/packages/terminals.scm
> +++ b/gnu/packages/terminals.scm
> @@ -1312,6 +1312,10 @@ made by suckless.")
>         ("ncurses" ,ncurses)
>         ("pkg-config" ,pkg-config)
>         ("python3" ,python)))
> +    (native-search-paths
> +      (list (search-path-specification
> +              (variable "TERMINFO_DIRS")
> +              (files '("share/terminfo")))))

I committed it (with a commit log that follows our conventions), but
added a FIXME as can be seen above in the file.  We usually avoid
workarounds for this bug but there’s a precedent in this file, so so be it!

Thanks,
Ludo’.

Subject: alacritty : add terminfo fix
From: Fulbert <[email-masked]>
To: [email-masked]
Date: Wed, 21 Oct 2020 00:06:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

  Hello Guix !

  When installed on an user extra-profile, `alacritty` does not add to
$TERMINFO_DIRS. Solved by using the attached patch. I have stolen this
fix from the guix `rxvt-unicode` package.

  Best regards,
  Fulbert
>From f8a5219e412b3908f59512b7fccfc4d187ee2174 Mon Sep 17 00:00:00 2001
From: Fulbert <[email-masked]>
Date: Tue, 20 Oct 2020 23:51:19 +0200
Subject: [PATCH] Apply terminfo fix (https://bugs.gnu.org/22138) (stolen from
 rxvt-unicode package)

---
 gnu/packages/terminals.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/terminals.scm b/gnu/packages/terminals.scm
index e596c1b81f..fc30550e3b 100644
--- a/gnu/packages/terminals.scm
+++ b/gnu/packages/terminals.scm
@@ -1312,6 +1312,10 @@ made by suckless.")
        ("ncurses" ,ncurses)
        ("pkg-config" ,pkg-config)
        ("python3" ,python)))
+    (native-search-paths
+      (list (search-path-specification
+              (variable "TERMINFO_DIRS")
+              (files '("share/terminfo")))))
     (home-page "https://github.com/alacritty/alacritty")
     (synopsis "GPU-accelerated terminal emulator")
     (description
-- 
2.28.0